
Infrastructure - Task #1018

Story # 1007 (Closed): Revise product names, subversion locations and task categories

Update R ITK product location in SVN

2010-10-23 02:35 - Dave Vieglais

Status: Closed Start date: 2010-10-23

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 100%

Category:  Estimated time: 1.00 hour

Target version: Sprint-2011.02   

Milestone: CCI-0.5 Story Points:  

Product Version: *   

Description

Update the R SVN location to be consistent with other products.  Suggested location is:

software/cicore/trunk/itk/d1r/

History

#1 - 2010-10-26 17:35 - Matthew Jones

- Status changed from New to In Progress

#2 - 2010-10-26 17:36 - Matthew Jones

- Assignee set to Matthew Jones

- translation missing: en.field_remaining_hours set to 1.0

#3 - 2010-10-26 17:52 - Matthew Jones

- Milestone set to CCI-0.5

- Status changed from In Progress to Closed

- Estimated time set to 1.00

Renamed SVN location to itk/d1_client_r.  However, the R package name will be different, because in R only letters, numbers, and the dot (.)

character are allowed in package names.  So, for the within-R package name, I chose to use the Package name 'dataone'.  So, to install the package,

use:

R CMD INSTALL d1_client_r

and then to load the package library in R use:

library(dataone)

Done.

#4 - 2010-10-26 18:07 - Matthew Jones

- translation missing: en.field_remaining_hours changed from 1.0 to 0.0
